搜文章
推荐 原创 视频 Java开发 iOS开发 前端开发 JavaScript开发 Android开发 PHP开发 数据库 开发工具 Python开发 Kotlin开发 Ruby开发 .NET开发 服务器运维 开放平台 架构师 大数据 云计算 人工智能 开发语言 其它开发
Lambda在线 > 猿始人那些事儿 > ios开发xcode 8.3之CocoaPods的安装

ios开发xcode 8.3之CocoaPods的安装

猿始人那些事儿 2017-09-28


1

什么是CocoaPods

每种语言发展到一个阶段,就会出现相应的依赖管理工具,例如 Java 语言的Maven,nodejs 的 npm。随着iOS 开发者的增多,业界也出现了为 iOS 程序提供依赖管理的工具,它的名字叫做:CocoaPods。

CocoaPods项目的源码在 Github 上管理。该项目开始于2011 年 8 月 12 日,经过多年发展,现在已经成为 iOS 开发事实上的依赖管理标准工具。开发iOS 项目不可避免地要使用第三方开源库,CocoaPods的出现使得我们可以节省设置和更新第三方开源库的时间。

2

为什么要使用CocoaPods

在使用CocoaPods之前,开发项目需要用到第三方开源库的时候,我们需要

1.把开源库的源代码复制到项目中

2.添加一些依赖框架和动态库

3.设置-ObjC,-fno-objc-arc等参数

4.管理他们的更新

在使用CocoaPods后,我们只需要把用到的开源库放到一个名为Podfile的文件中,然后执行podinstall就可以了,Cocoapods就会自动将这些第三方开源库的源码下载下来,并且为我们的工程设置好响应的系统依赖和编译参数。


3

CocoaPods的原理

CocoaPods的原理是将所有的依赖库都放到另一个名为Pods的项目中,然后让主项目依赖Pods项目,这样,源码管理工作都从主项目移到了Pods项目中。Pods项目最终会编译成一个名为libPods.a的文件,主项目只需要依赖这个.a文件即可。


4

CocoaPods的安装

CocoaPods可以方便地通过Mac自带的RubyGems安装。

打开Terminal(Mac电脑自带的终端),然后按照以下提示操作即可:

1.设置ruby的软件源

这是因为ruby的软件源rubygems.org因为使用亚马逊的云服务,被我天朝屏蔽了,需要更新一下ruby的源,过程如下:

gem sources -l #(查看当前ruby的源)

gem sources --remove https://rubygems.org/ #(移除当前ruby的源)

gem sources -a https://ruby.taobao.org/ #(设置当前ruby的源为我天朝的)

gem sources -l #(再次查看当前ruby的源)

如果Terminal输出:

*** CURRENT SOURCES ***

https://ruby.taobao.org/

就证明ruby的软件源已经设置OK了。

2.设置gem为最新版本

如果gem太老,可以尝试用如下命令升级gem:

在Terminal输入以下命令:

sudo gem update --system

升级成功后会提示: Latest version currently installed. Aborting.

3.执行安装CocoaPods命令

注意:OS X 10.11 升级,虽然官方声称只是一个小的升级,但对于开发者而言,cocoapods需要重新安装,但按照以前的安装方式,在Terminal输入以下命令:

sudo gem install -n /usr/local/bin cocoapods

pod setup

还有一点需要注意,pod setup在执行时,会输出Settingup CocoaPods master repo,但是会等待比较久的时间。这步其实是 Cocoapods 在将它的信息下载到 ~/.cocoapods目录下,如果你等太久,可以试着 cd 到那个目录,用du-sh *来查看下载进度。

安装成功后,你会看到:Setupcompleted

5

Cocoapods的使用

在Terminal 中输入cd进入工程所在的根目录,进入你的工程根文件,然后输入

vim podFile (创建一个podFile文件)

然后敲键盘i,执行编辑模式,输入以下内容

Podfile文件内容的格式应该如下:

platform :ios, '8.0' #(注明你的开发平台以及版本,'8.0'忽略不写即为最新版本)

pod 'AFNetworking', '~> 2.5.3' #('~> 2.5.3'为版本号,忽略不写即为最新版本)

pod 'SDWebImage', '~> 3.7.2'

按esc键结束编辑,按:wq 回车退出

然后在Terminal进入工程所在的根目录(工程根目录)中执行:

pod install

这样,AFNetworking和SDWebImage就已经下载完成并且设置好了编译参数和依赖,以后使用的时候切记如下两点:

1.从此以后需要使用Cocoapods生成的 .xcworkspace文件来打开工程,而不是使用以前的.xcodeproj文件

2.每次更改了Podfile文件,都需要重新执行一次pod update命令

查找第三方库

你如果不知道 cocoaPods 管理的库中,是否有你想要的库,那么你可以通过 pod search 命令进行查找,以下是我用 pod search json 查找到的所有可用的库:

可以在Terminal中输入:

pod search AFNetworking

回车之后就可以看到和你搜索的关键字相关的一些库类,如图:

ios开发xcode 8.3之CocoaPods的安装

关于 Podfile.lock

当你执行pod install之后,除了 Podfile 外,CocoaPods还会生成一个名为Podfile.lock的文件,Podfile.lock 应该加入到版本控制里面,不应该把这个文件加入到.gitignore中。因为Podfile.lock会锁定当前各依赖库的版本,之后如果多次执行pod install 不会更改版本,要pod update才会改Podfile.lock了。这样多人协作的时候,可以防止第三方库升级时造成大家各自的第三方库版本不一致。



我们是谁?

准程序员!

我们要什么?

要去玖零学院!

什么时候去?

现在就去!


扫描二维码

关注更多精彩

排版/配图 krista

版权声明:本站内容全部来自于腾讯微信公众号,属第三方自助推荐收录。《ios开发xcode 8.3之CocoaPods的安装》的版权归原作者「猿始人那些事儿」所有,文章言论观点不代表Lambda在线的观点, Lambda在线不承担任何法律责任。如需删除可联系QQ:516101458

文章来源: 阅读原文

相关阅读

关注猿始人那些事儿微信公众号

猿始人那些事儿微信公众号:jiulingjishupeixun

猿始人那些事儿

手机扫描上方二维码即可关注猿始人那些事儿微信公众号

猿始人那些事儿最新文章

精品公众号随机推荐